Bug 428493 - Review Request: perl-Spreadsheet-ParseExcel-Simple - Simple interface to Excel data
Review Request: perl-Spreadsheet-ParseExcel-Simple - Simple interface to Exce...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
http://search.cpan.org/dist/Spreadshe...
:
Depends On: 428492
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-11 22:19 EST by Chris Weyl
Modified: 2008-01-16 02:43 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-16 02:43:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2008-01-11 22:19:05 EST
SRPM URL: http://fedora.biggerontheinside.net/review/perl-Spreadsheet-ParseExcel-Simple-1.04-1.fc8.src.rpm
SPEC URL: http://fedora.biggerontheinside.net/review/perl-Spreadsheet-ParseExcel-Simple.spec

Description:
This library provides a simple abstraction of the Spreadsheet::ParseExcel
module, for a kinder, gentler interface.
Comment 1 Parag AN(पराग) 2008-01-14 23:03:44 EST
Review:
+ package builds in mock (rawhide i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
a5725525d32d37a07d57cbac6315d6aa  Spreadsheet-ParseExcel-Simple-1.04.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test outputs
t/01..............ok
t/02..............ok
t/pod-coverage....ok
t/pod.............ok
All tests successful.
Files=4, Tests=15,  1 wallclock secs ( 0.87 cusr +  0.07 csys =  0.94 CPU)
exit 0
+ Package  perl-Spreadsheet-ParseExcel-Simple-1.04-1.fc9 =>
  Provides: perl(Spreadsheet::ParseExcel::Simple) = 1.04
perl(Spreadsheet::ParseExcel::Simple::_Sheet)
   Requires: perl(:MODULE_COMPAT_5.8.8) perl(Spreadsheet::ParseExcel) 
 APPROVED.

Comment 2 Chris Weyl 2008-01-15 12:25:24 EST
New Package CVS Request
=======================
Package Name: perl-Spreadsheet-ParseExcel-Simple
Short Description: Simple interface to Excel data
Owners: cweyl
Branches: F-7, F-8, devel
InitialCC: perl-sig
Comment 3 Kevin Fenzi 2008-01-15 21:44:39 EST
cvs done. 
Comment 4 Chris Weyl 2008-01-16 02:43:10 EST
Imported and building.  Thanks for the review! :)

Note You need to log in before you can comment on or make changes to this bug.